# LatexExamTemplate

A latex template based on the "Exam" class for creating paper-based exams, with lots of nice features.

This latex template allows an instructor to manage all aspects of a conventional paper-based exam with a single TeX source.

This file will help create:
	1. A regular question paper
	2. Fillable question paper
	3. Solution key
	4. Marks totals, Section-wise totals, etc
	5. A grading block
	6. Other add-ons such as a printable graph section, diagrams, etc
	
#### Examples
See the attached PDFs to see the sample outputs for an exam with three sections, including multiple-choice, fill-in-the blanks, numerical problems, and longer multi-part questions. 

#### Usage
In this example, the "main" tex file is IITDH-ExamTemplate.tex. Open, edit and compile this file to create the exam pdf.

The type of PDF generated depends on the ``\documentclass`` parameter at the beginning of this file.

To generate a fillable question paper, (PDF with all the questions and blank spaces for students to write answers), use the following:
``%\documentclass[addpoints]{exam}``

To generate the solution key, i.e. (same PDF as above but with the solutions and/or rubric), use the following:
``%\documentclass[addpoints, answers]{exam}``

Points / marks are automatically added and totalled up per section and for the entire exam.

#### Editing
Although the TeX source may be edited with any text editor or LaTeX editor, TexStudio is the recommended.

---------------------

#### Acknowledgements
This template is based on an exam originally created by Abhijit Kshirsagar for the EE2701 course at the University of Minnesota, in 2019, with help from Prof. Ned Mohan and Prince Kumar.


---------------------

#### Notes, Tips and Tricks
1. If your TexStudio is not autocompleting commands from the Exam class, you can download the [autocomplete file for the exam class](https://raw.githubusercontent.com/LaTeXing/LaTeX-cwl/master/class-exam.cwl) and place it in `~/.config/texstudio/completion/user`
